
Pre-Development - Bug #20025

FE - React - Mleb system / Mleb function - Issue when modify the form it will add new data

11 March 2024 11:36 AM - Hazimi Muhammad

Status: Feedback Start date: 11 March 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Issue :

Go to Mleb Syestem in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click

save button -> the data in the table has been add new one.

Expected :

Go to Mleb Syestem in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click

save button -> the data in the table should been modified.

History

#1 - 11 March 2024 05:01 PM - Zaid Haritsah

- Status changed from New to In Progress

- Assignee changed from Zaid Haritsah to Nityanantan Nityanantan

- % Done changed from 0 to 50

Confirmed with business that the system code cannot be updated once created. other fields is modifiable.

solution -> update the front end to disable modify for system code field.

#2 - 11 March 2024 05:13 PM - Nityanantan Nityanantan

- Status changed from In Progress to Feedback

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

- % Done changed from 50 to 100

nity- disable system code modification

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/ee87a4d9f972227f72b61d996b101b8cb48ec1b7

#3 - 12 March 2024 09:53 AM - Hazimi Muhammad

- Status changed from Feedback to In Progress

- Assignee changed from Hazimi Muhammad to Nityanantan Nityanantan

Issue not fix for Mleb function

#4 - 12 March 2024 02:43 PM - Nityanantan Nityanantan

- Status changed from In Progress to Feedback

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/ee87a4d9f972227f72b61d996b101b8cb48ec1b7


nity- disable modify for function id.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/38e762cd457d8db29e6595bf6446858a1a0633ec

#5 - 13 March 2024 10:46 AM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been solved

checked for both Mleb Syestem and Mleb Function

Go to Mleb Syestem in the menu -> click search button -> click data in the table -> click modify button -> change the value -> click save button -> the

data in the table should been modified.
